Page MenuHomePhabricator

Also run PHP 7.4 jobs on wmf branch patches
Open, Needs TriagePublic

Related Objects

StatusSubtypeAssignedTask
StalledNone
OpenNone
StalledNone
StalledNone
InvalidNone
StalledNone
StalledNone
Stalledtstarling
StalledNone
OpenPRODUCTION ERRORNone
Resolvedtstarling
In ProgressJoe
OpenJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedLegoktm
ResolvedJdforrester-WMF
ResolvedDaimona
ResolvedDaimona
OpenJdforrester-WMF

Event Timeline

Reedy renamed this task from Run PHP 7.4 as well as PHP 7.2 on wmf branch patches to Also run PHP 7.4 jobs on wmf branch patches.Oct 20 2021, 6:53 PM

Change 734416 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] Zuul: Enable PHP74 jobs on gate-and-submit-wmf pipeline

https://gerrit.wikimedia.org/r/734416

Change 734416 merged by jenkins-bot:

[integration/config@master] Zuul: Enable PHP74 jobs on gate-and-submit-wmf pipeline

https://gerrit.wikimedia.org/r/734416

Mentioned in SAL (#wikimedia-releng) [2021-10-26T04:59:09Z] <James_F> Zuul: Enable PHP74 jobs on gate-and-submit-wmf pipeline T293924

Change 734325 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[integration/config@master] Revert \"Zuul: Enable PHP74 jobs on gate-and-submit-wmf pipeline\"

https://gerrit.wikimedia.org/r/734325

hashar added a subscriber: hashar.

Reverted due to some issue with GrowthExperiments at least T293947#7457724

Change 734325 merged by jenkins-bot:

[integration/config@master] Revert \"Zuul: Enable PHP74 jobs on gate-and-submit-wmf pipeline\"

https://gerrit.wikimedia.org/r/734325

Reverted due to some issue with GrowthExperiments at least T293947#7457724

We cannot really switch phan job to PHP 7.4: phan uses the PHP version it's executed on in two ways:

  1. To infer accurate signatures via Reflection (not sure how much this would affect us)
  2. To determine the minimum PHP version supported by the codebase.

2 is what's causing the failure there: if we run phan with 7.4, it thinks that 7.4 is the minimum supported version, and suggests fixes that are only available in 7.4+. This behaviour can be changed, of course. In fact, the minimum supported version is determined by the first available value in the following list:

minimum_target_php_version phan option -> composer requirement for php -> target_php_version phan option -> PHP version used to run phan

So we'd need to specify one (or more) of the first three.

Change 748718 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/core@master] phan: Upgrade mediawiki-phan-config to 0.11.1 and set minimum_target_php_version

https://gerrit.wikimedia.org/r/748718

Change 748718 merged by jenkins-bot:

[mediawiki/core@master] phan: Upgrade mediawiki-phan-config to 0.11.1 and set minimum_target_php_version

https://gerrit.wikimedia.org/r/748718

Change 821729 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] Zuul: Enable PHP74 jobs on gate-and-submit-wmf pipeline [Re-try]

https://gerrit.wikimedia.org/r/821729

Change 821729 merged by jenkins-bot:

[integration/config@master] Zuul: Enable PHP74 jobs on gate-and-submit-wmf pipeline [Re-try]

https://gerrit.wikimedia.org/r/821729

Mentioned in SAL (#wikimedia-releng) [2022-08-09T21:07:03Z] <James_F> Zuul: Enable PHP74 jobs on gate-and-submit-wmf pipeline [Re-try] for T293924

Change 822146 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] Zuul: Enable PHP74 jobs on gate-and-submit-wmf pipeline [Re-re-try]

https://gerrit.wikimedia.org/r/822146